/**************************************************************************\
*								   KEYID.H								   *
*																		   *
*		Identifiers for ASCII control character and keystroke values	   *
*																		   *
*							  by Stewart Gordon							   *
*						   Last updated July 1998						   *
\**************************************************************************/

/* ASCII control characters */
#define NUL	'\x00'
#define SOH	'\x01'
#define SOT	'\x02'
#define EOT	'\x03'	/*Unknown 04 to 06*/
#define BEL	'\x07'
#define BS	'\x08'
#define HT	'\x09'
#define LF	'\x0A'	/*Unknown 0B to 0C*/
#define CR	'\x0D'	/*Unknown 0E to 19*/
#define E0F '\x1A'	/*Zero in place of letter O to distinguish from EOF in
					  stdio.h*/
#define ESC	'\x1B'	/*Unknown 1C to 1F*/

/* Null-preceded keystrokes */
#define BTAB	'\x0F'
#define F1		';'
#define F2		'<'
#define F3		'='
#define F4		'>'
#define F5		'?'
#define F6		'@'
#define F7		'A'
#define F8		'B'
#define F9		'C'
#define F10		'D'
#define HOME	'G'
#define UP		'H'
#define PGUP	'I'
#define LEFT	'K'
#define RIGHT	'M'
#define END		'O'
#define DOWN	'P'
#define PGDN	'Q'
#define INS		'R'
#define DEL		'S'
#define CTLEFT	's'
#define CTRIGHT	't'
#define CTPGDN	'v'
#define CTPGUP	132
#define F11		133
#define F12		134
#define CTUP	141
#define CTDOWN	145
