/**************************************************************************\
*								  MISCIDS.H								   *
*																		   *
*						  Miscellaneous identifiers						   *
*																		   *
*							  by Stewart Gordon							   *
*					 Last updated July 1998-August 1999		 			   *
\**************************************************************************/
#ifndef SMJG_MISCIDS_H
#define SMJG_MISCIDS_H

#ifndef FALSE
#define FALSE	0
#endif

#ifndef TRUE
#define TRUE	1
#endif

#ifndef NULL
#include <_null.h>
#endif

#define MIN(a, b)	((a) < (b) ? (a) : (b))
#define MAX(a, b)	((a) > (b) ? (a) : (b))

typedef unsigned char byte;

/* define boolean data type
bool defined			n	n	B	B	I	I
BOOL_AS_INT defined		n	Y	n	Y	n	Y
Define bool				B	I	n	n	n	n
Warning message			n	n	n	Y	Y	n
*/

typedef unsigned char bool;

#if sizeof((bool) + 0.) == sizeof(double)	// bool not defined
#	if defined(BOOL_AS_INT)
		typedef int bool;
#	else
		typedef unsigned char bool;
#	endif
#elif sizeof(bool) == sizeof(int) && !defined(BOOL_AS_INT)
#	pragma message("Inconsistency in size of bool data type "\
	  "- define BOOL_AS_INT across the project")
#elif sizeof(bool) == sizeof(char) && defined(BOOL_AS_INT)
#	pragma message("Inconsistency in size of bool data type "\
	  "- try undefining BOOL_AS_INT across the project")
#endif

#endif
